[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Linux-cluster] Kernel versions



Am I nuts?

Running RHEL 4 (update 2) with latest kernel (2.6.9-34.Elsmp) on x86_64.
I installed the cman-kernel-smp-2.6.9-36.0.x64_64.rpm (and the
corresponding dlm kernel module rpm).

The modules got put into my original kernel's modules directory
(/lib/modules/2.6.9-11.Elsmp/kernel/cluster) and updated the symbol
tables for that kernel.

Modprobe fails to load the cman and dlm modules...because they aren't in
the correct directory (and yes, I rebooted after installing the latest
kernel, so it was the running new kernel when I installed the clustering
RPMs.)

I hacked the cman init script by adding a "--set-version 2.6.9-11.Elsmp)
in the modprobe commands. Cluster starts fine. Going to be testing the
Dickens out of it today and next week.

So...am I nuts?

--Jeff
SME - UNIX
OpSource Inc.

PGP Key ID 0x6CB364CA 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]